# Packages de Fabric Cloud Router ## Conditions préalables Authentification: soumettez vos identifiants utilisateur, votre identifiant client et votre clé secrète pour l’authentification OAuth2. Consultez la documentation relative à l’authentification API ([Authentification API](https://docs.equinix.com/fr-CA/equinix-api/api-authentication.md)) pour savoir comment appeler l’API OAuth afin de valider et d’authentifier vos identifiants. ## Obtenez tous les packages de routeurs Fabric Cloud Pour afficher la liste de tous les paquets Fabric Cloud Router, envoyez une requête `GET` au point de terminaison [/fabric/v4/routerPackages](#). Utilisez les paramètres de requête facultatifs pour gérer la pagination. | | **GET /fabric/v4/routerPackages** | | ---------------- | --------------------------------- | | Method | `GET` | | URL or Endpoint | `/fabric/v4/routerPackages` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | `offset`, `limit` | | Body Parameters | Not applicable | Exemple de demande de boucle: ``` curl -X GET 'https://api.equinix.com/fabric/v4/routerPackages' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Paramètres de la requête: * `offset` (facultatif) *entier* - Index du premier élément retourné dans la réponse. Par défaut: `0`. * `limit` (facultatif) *entier* - Nombre maximal d'éléments retournés par page. Par défaut: `20`. Exemple de réponse: ``` {     "pagination": {         "offset": 0,         "limit": 20,         "total": 1     },     "data": [         {             "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",             "type": "ROUTER_PACKAGE",             "code": "STANDARD",             "description": "string",             "totalIPv4RoutesMax": 1000,             "totalIPv6RoutesMax": 100,             "routeFilterSupported": true,             "vcBandwidthMax": 10000,             "vcCountMax": 10, "crCountMax": 3,             "changeLog": {                 "createdDateTime": "2022-02-10T00:14:47Z",                 "updatedDateTime": "2022-02-10T00:14:47Z"             }         }     ] } ``` ## Obtenir le package de Fabric Cloud Router spécifié Pour obtenir les détails d'un paquet Fabric Cloud Router, envoyez une requête `GET` au point de terminaison [`/fabric/v4/routerPackages/{routerPackageCode}`](https://docs.equinix.com/fr-CA/api-catalog/fabricv4.md#operation/getCloudRouterPackageByCode). | | **GET /fabric/v4/routerPackages/{routerPackageCode}** | | ---------------- | ----------------------------------------------------- | | Method | `GET` | | URL or Endpoint | `/fabric/v4/routerPackages/{routerPackageCode}` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | `routerPackageCode` | | Query Parameters | Not applicable | | Body Parameters | Not applicable | Exemple de demande de boucle: ``` curl -X GET 'https://api.equinix.com/fabric/v4/routerPackages/{routerPackageCode}' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Paramètre de chemin: * `routerPackageCode` (obligatoire) *chaîne* - Identifiant du paquet Fabric Cloud Router . Valeurs possibles: `LAB`, `STANDARD`, `ADVANCED`, `PREMIUM`. Exemple de réponse: ``` {     "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",     "type": "ROUTER_PACKAGE",     "code": "STANDARD",     "description": "string",     "totalIPv4RoutesMax": 1000, "totalIPv6RoutesMax": 100, "routeFilterSupported": true, "vcBandwidthMax": 10000, "vcCountMax": 10, "crCountMax": 3,     "changeLog": {         "createdDateTime": "2022-01-24T10:28:51.024Z",         "updatedDateTime": "2022-01-24T10:28:51.024Z"     } } ```